{% extends 'base.html' %}

{% block title %}Add Event{% endblock %}

{% block content %}
<div class = "container my-4">
	<h1 class = "text-center">Add Event</h1>
	<div class = "row mt-2">
		<div class = "col-6 offset-3">

			{% if error == True %}
				<p class = "text-danger mt-2">Duplicate/Same Event Found!.</p>
			{% endif %}
			<form action="{% url 'todolist:add_event' %}" method="POST">

                {% csrf_token %}

                <div class="mb-3">
                    <label for="event_name">Event Name: </label>
                    <input 
                    	class="form-control" 
                    	id="event_name" 
                    	type="text" 
                    	name="event_name" 
                    	value="{{event_name}}" 
                    	maxlength="50" 
                    	required
                    	>
                </div>

                <div class="mb-3">
                    <label for="description">Description: </label>
                    <textarea class="form-control" name="description" value="{{description}}" required></textarea>
                </div>

                <div class="mb-3">
                    <label for="event_date">Event Time and Date: </label>
                    <input class="form-control" name="event_date" value="{{event_date}}" placeholder = "DD/MM/YYYY 00:00 AM/PM" maxlength="30" required></textarea>
                </div>

                <div class="text-center">
                    <input 
                    	class="btn btn-success" 
                    	type="submit" 
                    	value="Add Event"
                    	>
                </div>

            </form>
		</div>
	</div>
</div>

{% endblock %}